Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.atlases »

# mvpa2.atlases.LabelsAtlas

class `mvpa2.atlases.``LabelsAtlas`(*args, **kwargs)

  Atlas which provides labels for the given coordinate

  Methods

  `label_point`(coord[, levels]) | Return labels for the given spatial point at specified levels
  `label_voxel`(c[, levels]) | Return labels for the given voxel at specified levels specified by index
  `levels_listing`() |
  `load_atlas`(filename) | Load atlas from a file
  `query`(index[, query_voxel]) | Generic query method.
  `set_coordT`(coordT) | Set coordT transformation.

  Initialize instance of PyMVPAAtlas

  Parameters:

  filename : str

  > Filename for the xml definition of the atlas

  resolution : None or float

  > Some atlases link to multiple images at different resolutions. if None – best resolution is selected using 0th dimension resolution

  image_file : None or str

  > If None, overrides filename for the used imagefile, so it could load a custom (re-registered) atlas maps

  coordT :

  > Optional transformation to apply first

  default_levels : None or slice or list of int

  > What levels by default to operate on

  load_maps : bool

  > Load spatial maps for the atlas.

  Methods

  `label_point`(coord[, levels]) | Return labels for the given spatial point at specified levels
  `label_voxel`(c[, levels]) | Return labels for the given voxel at specified levels specified by index
  `levels_listing`() |
  `load_atlas`(filename) | Load atlas from a file
  `query`(index[, query_voxel]) | Generic query method.
  `set_coordT`(coordT) | Set coordT transformation.

  `label_voxel`(c, levels=None)

    Return labels for the given voxel at specified levels specified by index

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »
- PyMVPA User Manual »
- Miscellaneous »
- mvpa2.atlases »